### Method

# Ggit CheckoutOptions set_file_open_flags

#### Declaration [src]

    void
    ggit_checkout_options_set_file_open_flags (
      GgitCheckoutOptions* options,
      gint flags
    )

#### Description [src]

Set the checkout file open flags. These flags are platform dependent, e.g. on Unix use O_CREAT, O_TRUNC, etc.

Sets property | `Ggit.CheckoutOptions:file-open-flags`

#### Parameters

`flags`

  Type: `gint`

  The file open flags.